local vector2 = require("#microsoft.xna.framework.vector2")
local exCameraHelper = require("#Celeste.Mod.ExCameraDynamics.Code.Module.ExCameraInterop")
local cameraFocus = require("#Celeste.Mod.ExCameraDynamics.Code.Entities.CameraFocus")
local cameraZoomHooks = require("#Celeste.Mod.ExCameraDynamics.Code.Hooks.CameraZoomHooks")

function onBegin()

    disableMovement()
    disablePause ()

    player.Facing = getEnum("Celeste.Facings", "Right")

    setFlag("LuckyHelper_DisableCameraUpdateOnTeleportFlag",false)
    setFlag("LuckyHelper_DisablePlayerCameraUpdate",false)

    --local level = getLevel()
    --coroutine.yield(exCameraHelper.Level_ZoomToFocus(level, vector2(3760, 4324), 2, 0.001))

    player.DummyAutoAnimate = false
    player.Sprite:Play("lookUp")

    wait(3)
    player.DummyAutoAnimate = true
    wait(2)

    local level = getLevel()
    cameraZoomHooks.ForceCameraTo(level, cameraFocus.FromCenter(vector2(4168, 4324), 1))
    teleportTo(4144, 4392, "feel_09")


    enableMovement()
    endCutscene ()
	

end